<?php

class Controller_Environment_Office extends Controller_Environment_User
{
    /**
     * @var string
     * Path to dean office twig folder
     */
    const OFFICE = 'office/';

    public function before() {
        parent::before();

        $this->user->checkAccess(User::RIGHTS_DEAN | User::RIGHTS_ADMIN | User::RIGHTS_TEACHER);

        $menu_cfg_path = null;
        if ($this->user->isAdmin()) {
            $menu_cfg_path='sidePanel/admin.json';
        }
        elseif ($this->user->isDean()) {
            $menu_cfg_path='sidePanel/dean.json';
        }
        elseif ($this->user->isTeacher()) {
            $menu_cfg_path='sidePanel/teacher.json';
        }

        // todo: move to twig
        $menu = Model_System::loadConfig($menu_cfg_path);

        $this->twig->set_global('SidePanel', $menu);
    }

    public function action_index() {
        $this->twig->set_filename(self::OFFICE . 'base');
    }
}
